Remove a reaction from an issue
DELETE
/repos/{owner}/{repo}/issues/{index}/reactions
const url = 'https://gitea.com/api/v1/repos/example/example/issues/1/reactions';const options = { method: 'DELETE', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"content":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://gitea.com/api/v1/repos/example/example/issues/1/reactions \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "content": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
index
required
integer format: int64
Index of the issue
Request Body
Section titled “Request Body”Media typeapplication/json
EditReactionOption contain the reaction type
object
content
The reaction content (e.g., emoji or reaction type)
string
Examplegenerated
{ "content": "example"}Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json